QGIS Application - Feature request #2271
print composer large format A0
2009-12-11 02:28 PM - Gerhard Spieles

Status: Closed

Priority: Low

Assignee: ersts -

Category:

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 12331
Description

Print composers behavior seems to have a memory lack when printing large format AO.
Only part of objects (p.e aerial photos) will be print.
If the the amount of data grow up (data intensive raster layers, qgis crash

History

#1 - 2009-12-12 02:22 AM - Giovanni Manghi

Would you mind give a try to the composer in the developer version of qgis (you can install it trough the osgeo4w installer, is labelled "qgis-dev")? There

were major updates in the composer since 1.3 and in the tests | made with a few aerial photos I'm not seeing the same problem. Please leave further

feedback, thanks.

#2 - 2009-12-12 05:57 AM - Marco Hugentobler

This is a known problem. It is because rasterlayer keeps the whole image that is printed in virtual memory. In case of A0 and a high resolution, this can be

too much (even without leak).

#3 - 2009-12-14 12:11 AM - Horst Diister

Maybe an other option could be to check the "Print as raster" option in the Composer General Tab. Some PS-Printers with limited memory have problems

to plot complex PS-Files ( Orthofoto with transparent overlays etc..). With the "Print as Raster" optition your map will be rendered as an image before it is

embedded into the PS-File.

#4 - 2009-12-14 12:55 AM - Giovanni Manghi

How big images are we speaking before the composer starts giving problems? | just printed in A0 a 7.5GB image and it worked fine (under linux, qgis

trunk).

#5 - 2009-12-22 07:37 AM - Marco Hugentobler

Attached is a work-in-progress patch that draws rasters in tiles of appr. 200 MByte (this can be configured in [[QgRasterimageBuffer]]::reset()). It adds a

new class [[QgsRasterimageBuffer]] that takes care of partitioning the image and the requests to retreive data from GDAL. So all the partitioning happens

transparent to [[QgsRasterLayer]].

In the patch, [[QgsRasterimageBuffer]] is only applied in the method [[QgsRasterLayer]]::drawPalettedSingleBandColor. But I'm going to change the other
ones too once the raster team reviewed the patch (and thinks the approach is ok).
#6 - 2009-12-26 01:12 PM - Gerhard Spieles

Hello,
have installed version 1.4.0 commit:6a4fbd78 (SVN r12620).
Printing a large format A0 with spatial images and reducing the print quality to 200dpi shows the complete spatial images. The documet preduced-with

“Freepdi*printer has 35MB.
220dpi brings a pdf documet with 73MB.

At 250dpi, nearly 66% of the spatial image are lost.
At 300 dpi, the complete spatial images are missing.
In all produced pdf-documents, a part of a vector layer is also not printed.(It begins near 1/3 left of the right margin in the pdf-document.)
A screenshot is attached.
#7 - 2009-12-28 02:57 AM - Giovanni Manghi
Replying to [comment:8 gespiel]:
Hello,

have installed version 1.4.0 commit:6a4fbd78 (SVN r12620).
Printing a large format A0 with spatial images and reducing the print quality to 200dpi shows the complete spatial images. The documet preduced

" "

Have you tested a different pdf printer? | cannot replicate your problems under linux as | regularly create 300dpi pdfs with a lot of heavy data.

#8 - 2010-01-04 02:48 PM - Gerhard Spieles
Replying to [comment:10 lutra]:
Replying to [comment:8 gespiel]:

Hello,

have installed version 1.4.0 commit:6a4fbd78 (SVN r12620).
Printing a large format A0 with spatial images and reducing the print quality to 200dpi shows the complete spatial images. The documet produced

Have you tested a different pdf printer? | cannot replicate your problems under linux as | regularly create 300dpi pdfs with a lot of heavy data.

Hello,
| tried it with dopdf v7 also (this printer don@t use ghost script) with the same result.

#9 - 2010-01-05 01:37 PM - Giovanni Manghi

| just tested one of my big projects (a couple of hundred mb of vectors plus 3/4 gb of rasters) under windows xp sp3 and qgis 1.4. Printed a AO at 300 dpi

with the "primo pdf" driver produced a 50mb pdf file that shows perfectly the print layout.

#10 - 2010-01-06 11:21 AM - Gerhard Spieles

2025-04-27 2/4



Hello,

have tested it again. It seems, that the problem depends what map scale is used.

Attached are jpg-images with the results of two AO prints. The only difference is the choosen mapscale in the composers item, Map, Scale.
At scale of 1:2500, the complete spatial images are printed. At scale of 1:600, only a part oft the spatial images is printed.

#11 - 2010-01-06 05:48 PM - Giovanni Manghi

| still see no problems even at very high scales, at least with my data.

#12 - 2010-01-08 01:59 AM - Marco Hugentobler

Hi gespiel

Did you work with or without the patch applied?

If without patch: | think it is because current svn version keeps all the image data in virtual memory.

Also: instead of using the PDF printer, you could use the (platform independent) pdf export in composer. Maybe the results are better reprocable on other
systems like that.

Marco

#13 - 2010-01-08 10:48 AM - Gerhard Spieles

Hi Marco,

have tested the pdf-print icon in the composer.

Using AO-Format, Qgis crashes. (see attached jpg)

| Use qgis 1.5.0-dev, rel. 12704 installed by OS4GeoW.
Does this release content your patch?

If not, how can I install the patch?

#14 - 2010-01-21 02:48 AM - Giovanni Manghi

Replying to [comment:16 gespiel]:

Hi Marco,

have tested the pdf-print icon in the composer.

Using AO-Format, Qgis crashes. (see attached jpg)

I Use qgis 1.5.0-dev, rel. 12704 installed by OS4GeoW.
Does this release content your patch?

If not, how can | install the patch?

It seems that in commit:6d4e233b (SVN r12810) changes have been made that can help solve your issues. In the next days (maybe already tomorrow) you
should be able to install ggis-dev with osgeo4w including this code update. Please give it a try and leave feedback.
#15 - 2010-01-22 11:55 AM - Gerhard Spieles

Replying to [comment:17 lutra]:

Replying to [comment:16 gespiel]:

Hi Marco,

have tested the pdf-print icon in the composer.

Does this release content your patch?
If not, how can | install the patch?

Hello,

Using A0-Format, Qgis crashes. (see attached jpg)
I Use qgis 1.5.0-dev, rel. 12704 installed by OS4GeoW.

have just installed r1281M and all is good. The pdf-print content the complete spatial images.

Thank you verry much!!

Gerhard

#16 - 2010-01-22 11:57 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed

Files

It seems that in commit:6d4e233b (SVN r12810) changes have been made that can help solve your issues. In the next days (maybe already

tomorrow) you should be able to install qgis-dev with osgeo4w including this code update. Please give it a try and leave feedback.
